<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
RunTask Method (IEdmTaskMgr)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTaskMgr Interface : RunTask Method (IEdmTaskMgr)

Visual Basic
C#
C++/CLI

oTask
  Task add-in to run as defined by EdmTaskInfo

poSelections
  Array of EdmSelItem2

lParentWnd
  Parent window

Runs the specified task add-in.

# Syntax

Visual Basic |
--- | ---

    Sub RunTask( _
       ByVal oTask As EdmTaskInfo, _
       ByVal poSelections() As EdmSelItem2, _
       ByVal lParentWnd As System.Integer _
    )

C# |
--- | ---

    void RunTask(
       EdmTaskInfo oTask,
       EdmSelItem2[] poSelections,
       System.int lParentWnd
    )

C++/CLI |
--- | ---

    void RunTask(
    &   EdmTaskInfo oTask,
    &   array<EdmSelItem2>^ poSelections,
    &   System.int lParentWnd
    )

#### Parameters

oTask
  Task add-in to run as defined by EdmTaskInfo
poSelections
  Array of EdmSelItem2
lParentWnd
  Parent window

# Example

See the IEdmTaskMgr example.

# See Also

####

IEdmTaskMgr Interface
IEdmTaskMgr Members

# Availability

SOLIDWORKS PDM Professional 2018 SP04